package cn.axzo.msg.center.inside.notices.event;

import cn.axzo.msg.center.domain.enums.AgencyOperationEnum;
import org.springframework.context.ApplicationEvent;

/**
 * 分包机构创建事件对象
 *
 * @author: wangli
 * @date: 2021/10/28 14:06
 */
public class AgencyChangeEvent extends ApplicationEvent {

    public final static Object OBJECT = new Object();
    /**
     * 分包机构 id
     */
    private final Long departmentId;

    /**
     * 分包机构操作类型
     */
    private final AgencyOperationEnum operation;

    public AgencyChangeEvent(Long departmentId, AgencyOperationEnum operation) {
        super(OBJECT);
        this.departmentId = departmentId;
        this.operation = operation;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public AgencyOperationEnum getOperation() {
        return operation;
    }
}
